Bug 247171 - ImageTk is missing
Summary: ImageTk is missing
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: python-imaging   
(Show other bugs)
Version: 7
Hardware: i386 Linux
low
medium
Target Milestone: ---
Assignee: José Matos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-05 19:38 UTC by Gregory D. Weber
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-06 09:18:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gregory D. Weber 2007-07-05 19:38:14 UTC
Description of problem: The module ImageTk is missing from PIL


Version-Release number of selected component (if applicable):

python-imaging-1.1.6-3.fc7


How reproducible:

Method A:

Steps to Reproduce:

1.  $ python

2.  >>> import ImageTk

3.  >>> from PIL import ImageTk
  
Actual results:

Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
ImportError: No module named ImageTk

(once after step 2, once again after step 3)

Expected results:

(No output)

Method B:

Steps to reproduce:

1.  $ cd  /usr/lib/python2.5/site-packages/PIL
2.  $ ls ImageTk*

Actual results:

ls: cannot access ImageTk*: No such file or directory

Expected results:

ImageTk.py ImageTk.pyo ImageTk.pyc

Additional info:

Comment 1 José Matos 2007-07-06 09:18:14 UTC
Install python-imaging-tk. We have separated the package to avoid having to 
drag all tcl/tk dependencies if you are only interested in python part.

Notice that we have also a new subpackage called python-imaging-sane.

Probably referring that the tkinter is placed under a different subpackage may 
avoid this problem, no?

Comment 2 Gregory D. Weber 2007-08-03 15:06:17 UTC
Thank you -- both for your prompt attention and for a solution that works just fine.

I did not understand the last sentence in comment #1 -- "Probably referring ...
no?"  Perhaps it's meant to say the same thing as my next paragraph:

Separating the package seems like a good move in principle, but such changes
should be better publicized.  I found no mention of this in the Fedora 7 package
release notes, nor in python-imaging's CHANGES file.  A simple statement about
the package split, in the text shown by "rpm -qi python-imaging", could also
have been helpful.



Comment 3 José Matos 2007-08-29 21:28:41 UTC
This kind of problem will be reduced with the new build system (koji+bodhi).

There is possible to add a note for each release. That would have helped in 
this case.

Nevertheless I intend to add this to %description:

Notice that in order to reduce the package dependencies there are
three subpackages: devel (for development); tk (to interact with the
tk interface) and sane (scanning devices interface).

Is that OK with you?

Comment 4 Gregory D. Weber 2007-09-18 01:53:02 UTC
That would be excellent -- thank you!



Note You need to log in before you can comment on or make changes to this bug.